Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 5.8.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.novadeck.jxla.data
Class RegexpData

    java.lang.Object
      org.novadeck.jxla.data.SerializableSimpleData
          org.novadeck.jxla.data.SimpleData
              org.novadeck.jxla.data.RegexpData

All Implemented Interfaces:
  Serializable, Comparable

    public class RegexpData

extends SimpleData

See Also:
  Serialized Form

Field Summary
`String` | `compiledRegexp`
`static char` | `CROCHET_F`
`static char` | `CROCHET_O`
`static String` | `DATE_MSEC`
`static char` | `DAY`
`static char` | `DELIMITER`
`static char` | `DOUBLEPOINT`
`static String` | `HOSTNAME`
`static char` | `HOUR`
`static char` | `IDENTIFIER`
`String` | `initialRegexp`
`static String` | `LANGUAGE`
`static char` | `MONTH`
`static char` | `OFFSET`
`static String` | `QUERY`
`static String` | `REFERER`
`static String` | `REMOTE_HOST`
`static String` | `REMOTE_IP`
`static String` | `SIZE`
`static char` | `SLASH`
`static char` | `SPACE`
`static String` | `STATUS`
`static String` | `TIME_TAKEN`
`static char` | `TIRET`
`static String` | `URI`
`static String` | `USER`
`static String` | `USER_AGENT`
`static char` | `WILDCARD`
`static char` | `YEAR`

Constructor Summary
`RegexpData(String s)`

Method Summary
`static void` | `addRegexp(RegexpData re)`
`String` | `getAgent()`
`String` | `getCompiledRegexp()`
`long` | `getDateMSec()`
`int` | `getDay()`
`String` | `getHost()`
`int` | `getHour()`
`String` | `getLanguage()`
`static Line` | `getLine(String s)`
`int` | `getMinute()`
`int` | `getMonth()`
`String` | `getOffset()`
`String` | `getReferer()`
`static RegexpData[]` | `getRegexps()`
`String` | `getRemoteIP()`
`int` | `getSecond()`
`long` | `getSize()`
`String` | `getStatus()`
`long` | `getTimeTaken()`
`String` | `getURI()`
`String` | `getUser()`
`int` | `getYear()`
`boolean` | `match(String s)`
`static void` | `updateList()`

Methods inherited from class org.novadeck.jxla.data.SimpleData
`add, compareTo, getCount, inc`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### HOSTNAME

    public static final String HOSTNAME

See Also:
  Constant Field Values

### REMOTE_IP

    public static final String REMOTE_IP

See Also:
  Constant Field Values

### REMOTE_HOST

    public static final String REMOTE_HOST

See Also:
  Constant Field Values

### USER

    public static final String USER

See Also:
  Constant Field Values

### URI

    public static final String URI

See Also:
  Constant Field Values

### QUERY

    public static final String QUERY

See Also:
  Constant Field Values

### STATUS

    public static final String STATUS

See Also:
  Constant Field Values

### REFERER

    public static final String REFERER

See Also:
  Constant Field Values

### USER_AGENT

    public static final String USER_AGENT

See Also:
  Constant Field Values

### LANGUAGE

    public static final String LANGUAGE

See Also:
  Constant Field Values

### SIZE

    public static final String SIZE

See Also:
  Constant Field Values

### TIME_TAKEN

    public static final String TIME_TAKEN

See Also:
  Constant Field Values

### DATE_MSEC

    public static final String DATE_MSEC

See Also:
  Constant Field Values

### YEAR

    public static final char YEAR

See Also:
  Constant Field Values

### MONTH

    public static final char MONTH

See Also:
  Constant Field Values

### DAY

    public static final char DAY

See Also:
  Constant Field Values

### HOUR

    public static final char HOUR

See Also:
  Constant Field Values

### OFFSET

    public static final char OFFSET

See Also:
  Constant Field Values

### WILDCARD

    public static final char WILDCARD

See Also:
  Constant Field Values

### IDENTIFIER

    public static final char IDENTIFIER

See Also:
  Constant Field Values

### DELIMITER

    public static final char DELIMITER

See Also:
  Constant Field Values

### SPACE

    public static final char SPACE

See Also:
  Constant Field Values

### SLASH

    public static final char SLASH

See Also:
  Constant Field Values

### DOUBLEPOINT

    public static final char DOUBLEPOINT

See Also:
  Constant Field Values

### CROCHET_O

    public static final char CROCHET_O

See Also:
  Constant Field Values

### CROCHET_F

    public static final char CROCHET_F

See Also:
  Constant Field Values

### TIRET

    public static final char TIRET

See Also:
  Constant Field Values

### initialRegexp

    public String initialRegexp

### compiledRegexp

    public String compiledRegexp

Constructor Detail

### RegexpData

    public RegexpData(String s)

Method Detail

### getCompiledRegexp

    public String getCompiledRegexp()

### match

    public boolean match(String s)

### getHost

    public String getHost()

  Returns:

### getRemoteIP

    public String getRemoteIP()

### getUser

    public String getUser()

### getURI

    public String getURI()

### getStatus

    public String getStatus()

### getReferer

    public String getReferer()

### getAgent

    public String getAgent()

### getLanguage

    public String getLanguage()

### getSize

    public long getSize()

### getTimeTaken

    public long getTimeTaken()

### getDateMSec

    public long getDateMSec()

### getHour

    public int getHour()

### getOffset

    public String getOffset()

### getMinute

    public int getMinute()

### getSecond

    public int getSecond()

### getDay

    public int getDay()

### getMonth

    public int getMonth()

### getYear

    public int getYear()

### addRegexp

    public static void addRegexp(RegexpData re)

### getRegexps

    public static RegexpData[] getRegexps()

### updateList

    public static void updateList()

### getLine

    public static Line getLine(String s)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 5.8.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2010 Hyperic, Inc. support@hyperic.net, All Rights Reserved.